LenientConfiguration (Gradle API 2.14.1)

org.gradle.api.artifacts

## Interface LenientConfiguration

-     public interface LenientConfiguration

  Resolved configuration that does not fail eagerly when some dependencies are not resolved, or some artifacts do not exist.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ResolvedArtifact>` | `getArtifacts(Spec<? super Dependency> dependencySpec)` Gets successfully resolved artifacts for dependencies that match given dependency spec.
    `Set<File>` | `getFiles(Spec<? super Dependency> dependencySpec)` Returns successfully resolved files for successfully resolved dependencies.
    `Set<ResolvedDependency>` | `getFirstLevelModuleDependencies(Spec<? super Dependency> dependencySpec)` Returns successfully resolved dependencies.
    `Set<UnresolvedDependency>` | `getUnresolvedModuleDependencies()` returns dependencies that were attempted to resolve but failed.

- - ### Method Detail

    - #### getFirstLevelModuleDependencies

          Set<ResolvedDependency> getFirstLevelModuleDependencies(Spec<? super Dependency> dependencySpec)

      Returns successfully resolved dependencies.
      Parameters:
        `dependencySpec` - dependency spec
      Returns:
        only resolved dependencies

    - #### getUnresolvedModuleDependencies

          Set<UnresolvedDependency> getUnresolvedModuleDependencies()

      returns dependencies that were attempted to resolve but failed. If empty then all dependencies are neatly resolved.
      Returns:
        only unresolved dependencies

    - #### getFiles

          Set<File> getFiles(Spec<? super Dependency> dependencySpec)

      Returns successfully resolved files for successfully resolved dependencies.
      Parameters:
        `dependencySpec` - dependency spec
      Returns:
        resolved dependencies files

    - #### getArtifacts

          Set<ResolvedArtifact> getArtifacts(Spec<? super Dependency> dependencySpec)

      Gets successfully resolved artifacts for dependencies that match given dependency spec.
      Parameters:
        `dependencySpec` - dependency spec
      Returns:
        successfully resolved artifacts for dependencies that match given dependency spec